GuideLab Docs

Test Twilio API credentials

Verify Twilio API credentials by making a test call to the Twilio API. Returns whether the credentials are valid.

POST
/integrations/twilio/test-connection

Verify Twilio API credentials by making a test call to the Twilio API. Returns whether the credentials are valid.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/integrations/twilio/test-connection" \  -H "Content-Type: application/json" \  -d '{    "accountSid": "string",    "authToken": "string"  }'
{  "valid": true,  "friendlyName": "string",  "status": "string",  "error": "string"}
Empty
Empty
Empty